#include <bits/stdc++.h>
#define ll long long



using namespace std;

void Xatab(){
    ll m,n;
    cin>>m>>n;
    ll s=0;
    vector<ll>a(n),b;
    for(ll i=0;i<n;i++)cin>>a[i];
    for(ll i=0;i<n;i++)
    {
        s=0;
        for(ll j=i;j<n;j++)
        {
            if(a[i]==a[j])s++;
        }
        if(s>=m)b.push_back(a[i]);
    }
    for(ll i=0;i<b.size();i++)
    {
        for(ll j=i+1;j<b.size();j++)
        {
            if(b[i]==b[j]){b.erase(b.begin()+j);j--;}
        }
    }
    cout<<b.size()<<endl;
    for(ll i=0;i<b.size();i++)cout<<b[i]<<" ";
}
int main()
{
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    ll T = 1;//cin>>T;
    while(T--)Xatab();
    return 0;
}

